Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065699 - [abrt] qemu-system-x86: address_space_rw() (crash starting minix)
Summary: [abrt] qemu-system-x86: address_space_rw() (crash starting minix)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9d2bbce2090bc7d68d066b2b0f4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-15 23:44 UTC by Allan Poulsen
Modified: 2014-09-08 12:58 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-08 12:58:11 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: cgroup (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: core_backtrace (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: dso_list (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: environ (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: exploitable (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: limits (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: maps (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: open_fds (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: proc_pid_status (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details
File: var_log_messages (deleted)
2014-02-15 23:45 UTC, Allan Poulsen
no flags Details

Description Allan Poulsen 2014-02-15 23:44:53 UTC
Description of problem:
Trried to start minix 3 in a virtual machine

Version-Release number of selected component:
qemu-system-x86-1.6.1-3.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -name Minix3 -S -machine pc-0.15,accel=tcg,usb=off -cpu qemu32 -m 1024 -realtime mlock=off -smp 1,sockets=1,cores=1,threads=1 -uuid 35bb2201-b277-d017-b3fc-3fb17faa7456 -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/Minix3.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive file=/var/lib/libvirt/images/Minix3.img,if=none,id=drive-ide0-0-0,format=raw -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -drive file=/home/apo/Downloads/Torrents/minix_R3.2.1-972156d.iso,if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=24,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:cb:1e:73,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -spice port=5900,addr=127.0.0.1,disable-ticketing,seamless-migration=on -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,bus=pci.0,addr=0x2 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
crash_function: address_space_rw
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            107

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 address_space_rw
 #1 address_space_unmap
 #2 dma_bdrv_unmap
 #3 dma_bdrv_cb
 #4 bdrv_co_em_bh
 #5 aio_bh_poll
 #6 aio_poll
 #7 aio_ctx_dispatch
 #10 main_loop_wait

Comment 1 Allan Poulsen 2014-02-15 23:45:00 UTC
Created attachment 863629 [details]
File: backtrace

Comment 2 Allan Poulsen 2014-02-15 23:45:02 UTC
Created attachment 863630 [details]
File: cgroup

Comment 3 Allan Poulsen 2014-02-15 23:45:04 UTC
Created attachment 863631 [details]
File: core_backtrace

Comment 4 Allan Poulsen 2014-02-15 23:45:06 UTC
Created attachment 863632 [details]
File: dso_list

Comment 5 Allan Poulsen 2014-02-15 23:45:08 UTC
Created attachment 863633 [details]
File: environ

Comment 6 Allan Poulsen 2014-02-15 23:45:10 UTC
Created attachment 863634 [details]
File: exploitable

Comment 7 Allan Poulsen 2014-02-15 23:45:12 UTC
Created attachment 863635 [details]
File: limits

Comment 8 Allan Poulsen 2014-02-15 23:45:15 UTC
Created attachment 863636 [details]
File: maps

Comment 9 Allan Poulsen 2014-02-15 23:45:17 UTC
Created attachment 863637 [details]
File: open_fds

Comment 10 Allan Poulsen 2014-02-15 23:45:19 UTC
Created attachment 863638 [details]
File: proc_pid_status

Comment 11 Allan Poulsen 2014-02-15 23:45:21 UTC
Created attachment 863639 [details]
File: var_log_messages

Comment 12 Cole Robinson 2014-06-02 14:20:57 UTC
Is this still reproducible with latest f20 packages?
Does it crash at every startup?


Note You need to log in before you can comment on or make changes to this bug.